Ubercart Installation Cheat Sheet

Server Recommendations*
Apache web server on Linux with PHP5, memory limit >= 24 MB, and MySQL 5.0 or higher. *While you may be able to successfully use Drupal and Ubercart that do not meet these recommendations, you may run into individual module compatibility issues (particularly if using older versions of PHP or MySQL).

Warning: Migrating from or replacing Drupal e-commerce.
Installing Ubercart on a site on which you have previously installed the old Drupal e-commerce package will result in problems due to the package's incomplete installation features. You can perform a manually uninstallation if you must, but you are advised to start from a clean slate. Refer to http://www.ubercart.org/faq/475.

Resources
The following sections of the Ubercart community site will prove useful as you install and customize your Ubercart site: Support forums – http://www.ubercart.org/forum Documentation – http://www.ubercart.org/docs Contributions – http://www.ubercart.org/contrib Live sites – http://www.ubercart.org/site Download / project page – http://drupal.org/project/ubercart A few other sites on our domain can help introduce you to various Ubercart features: Livetest (customer demo) – http://livetest.ubercart.org Automated installer – http://install.ubercart.org Development log – http://bazaar.ubercart.org For more information, refer to Drupal.org and Ubercart.org.

10 . install the Cart.ubercart.org for solutions. Install extra Ubercart modules. shipping. *Version numbers represent the latest tested.7 .ubercart.http://drupal.org/docs/user/3312/installing_drupal.org/docs/user/3313/installing_ubercart. ***Ubercart will automatically configure image support for products and catalog categories if it finds these modules when you install the Ubercart product and catalog modules.Drupal 5 Installation Steps 1. .http://drupal.http://drupal. For help. 2. Review the list and enable the modules required to meet your needs.http://drupal. Install Ubercart dependencies.org/project/ubrowser Dependencies for built-in image support: *** CCK 5. Refer to http://www. file downloads.http://drupal. If you aren't sure.11 . including taxes.org/project/imagefield Image Cache 5.x-1.http://drupal. The others may be ignored or used on your site at your discretion.org/docs/user/3313/installing_ubercart. Before installing any other Ubercart modules.4 .1 .x-1. Product. payments. Ubercart comes with a number of modules to add common features to your store.org/project/thickbox Refer to http://www.x-2. **Module names in parentheses specify which modules in these modules packages must be enabled.org/project/token Workflow-ng 5.org/project/imagecache Thickbox 5. 4.13.x-1. Install core Ubercart modules. refer to the instructions at http://www.x-2. The list will be updated as later module versions get tested for compatibility. Install the latest version of Drupal on which Ubercart can run.org/project/cck (Content) ** ImageField 5.1 .org/project/tapir uBrowser 5.org/project/workflow_ng (Workflow-ng and Workflow-ng UI) ** TAPIr 5. Order. currently 5. 3.x-1.http://drupal.x-1. and more.x-1.ubercart.2 . and Store modules.* Token 5.6 .http://drupal. Install Drupal. try a search on Ubercart. stable versions of these modules we recommend.

Install extra Ubercart modules.ubercart. Review the list and enable the modules required to meet your needs. . Before installing any other Ubercart modules.1 . ***Ubercart will automatically configure image support for products and catalog categories if it finds these modules when you install the Ubercart product and catalog modules.http://drupal.http://drupal.7.org/project/token Dependencies for built-in image support: *** CCK 6. file downloads. Product. Install core Ubercart modules.1 . Install Drupal. Install Ubercart dependencies. try a search on Ubercart. Installation docs for D6 are in progress. Order. and Store modules. 3.x-1. The others may be ignored or used on your site at your discretion. payments.11 . currently 6.0-alpha2 . Cart.x-2.x-1.x-2.org/project/imageapi (ImageAPI and ImageAPI GD2) ** Image Cache 6.org for solutions. 4.http://drupal. shipping. including taxes. **Module names in parentheses specify which modules in these modules packages must be enabled.http://drupal.x-3.org/project/thickbox Refer to http://www.http://drupal. install the Conditional Actions. The list will be updated as later module versions get tested for compatibility. and more.x-1. Ubercart comes with a number of modules to add common features to your store. If you aren't sure. Install the latest version of Drupal on which Ubercart can run. *Version numbers represent the latest tested.0 – http://drupal.org/project/imagecache ImageField 6.org/project/cck (Content) ** ImageAPI 6.Drupal 6 Installation Steps 1.0-beta2 .org/docs/user/3313/installing_ubercart. 2.org/project/imagefield Thickbox 6.* Token 6. stable versions of these modules we recommend.

Sign up to vote on this title
UsefulNot useful